#! /bin/bash
#
# Anima Prava - 2024.01.26
# Descent 2 (videogame).
# Export the settings of a model pilot 
# to all pilots in this directory.
#
# Copy the pilot files model.plr model.plx
# in place of all other pilots in the same dir
# while keeping their original filenames.
# BACKUP YOUR 'PLAYERS' DIRECTORY BEFORE USAGE!
#
model_plr=model.plr
model_plx=model.plx
#
echo
for file in *.plr; do
  filename="${file##*/}"
    if [ $filename == $model_plr ]; then : ;
    else
        cp $model_plr "$filename"
        echo $model_plr "copied to" $filename
    fi

done
echo
for file in *.plx; do
  filename="${file##*/}"
    if [ $filename == $model_plx ]; then : ;
    else
        cp $model_plx "$filename"
        echo $model_plx "copied to" $filename
    fi
done
echo
